> ## Documentation Index
> Fetch the complete documentation index at: https://jupiter-docs-beam-tx-jup-ag-submit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recurring Orders

> Request for active or historical recurring orders associated to the provided account

<Info>
  **NOTE**

  * `recurringType` is used to denote the type of recurring order, only `time`
  * **DEPRECATED**: `recurringType: price` based orders are deprecated
</Info>


## OpenAPI

````yaml openapi-spec/recurring/recurring.yaml get /getRecurringOrders
openapi: 3.0.0
info:
  title: Jupiter Recurring Order API
  version: 1.0.0
  description: Jupiter Recurring Order API Schema
servers:
  - url: https://api.jup.ag/recurring/v1
    description: Jupiter Recurring Order API Endpoint
security: []
paths:
  /getRecurringOrders:
    get:
      summary: getRecurringOrders
      parameters:
        - name: recurringType
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/RecurringOrderType'
        - name: orderStatus
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/OrderState'
        - name: user
          in: query
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: true
          schema:
            type: integer
            nullable: true
            format: int64
            minimum: 1
        - name: mint
          in: query
          required: true
          schema:
            type: string
            nullable: true
        - name: includeFailedTx
          in: query
          required: true
          schema:
            type: boolean
      responses:
        '200':
          description: Successfully retrieved recurring orders
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRecurringOrderResponse'
              example:
                user: BQ72nSv9f3PRyRKCBnHLVrerrv37CYTHm5h3s9VSGQDV
                orderStatus: active
                time:
                  - userPubkey: BQ72nSv9f3PRyRKCBnHLVrerrv37CYTHm5h3s9VSGQDV
                    orderKey: 8mF4HKoPQNmtbRvTRqotb4LW3pz5rR3eB7owZL9FVKIW
                    inputMint: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
                    outputMint: So11111111111111111111111111111111111111112
                    inDeposited: '100.0'
                    inWithdrawn: '0.0'
                    rawInDeposited: '100000000'
                    rawInWithdrawn: '0'
                    cycleFrequency: 60
                    outWithdrawn: '0.0'
                    inAmountPerCycle: '10.0'
                    minOutAmount: '0'
                    maxOutAmount: '0'
                    inUsed: '10.0'
                    outReceived: '0.058'
                    rawOutWithdrawn: '0'
                    rawInAmountPerCycle: '10000000'
                    rawMinOutAmount: '0'
                    rawMaxOutAmount: '0'
                    rawInUsed: '10000000'
                    rawOutReceived: '58000000'
                    openTx: 4xKpN2...
                    closeTx: null
                    userClosed: false
                    createdAt: '2025-03-15T10:30:00.000Z'
                    updatedAt: '2025-03-15T11:30:00.000Z'
                    trades:
                      - orderKey: 8mF4HKoPQNmtbRvTRqotb4LW3pz5rR3eB7owZL9FVKIW
                        keeper: J1TnP8zvVxbtF5KFp5xRmWuvG9McnhzmBd9XGfCyuxFP
                        inputMint: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
                        outputMint: So11111111111111111111111111111111111111112
                        inputAmount: '10.0'
                        outputAmount: '0.058'
                        rawInputAmount: '10000000'
                        rawOutputAmount: '58000000'
                        feeMint: So11111111111111111111111111111111111111112
                        feeAmount: '0.000058'
                        rawFeeAmount: '58000'
                        txId: 3yZe7d...
                        confirmedAt: '2025-03-15T11:30:00.000Z'
                        action: Fill
                        productMeta: null
                price: []
                all: []
                totalPages: 1
                page: 1
        '400':
          description: Bad request
        '500':
          description: Internal server error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    RecurringOrderType:
      type: string
      enum:
        - time
        - price
        - all
      description: |
        Type of recurring order.
        **DEPRECATED**: The 'price' value is deprecated.
    OrderState:
      type: string
      enum:
        - active
        - history
    GetRecurringOrderResponse:
      oneOf:
        - type: object
          required:
            - user
            - orderStatus
            - time
            - totalPages
            - page
          properties:
            orderStatus:
              $ref: '#/components/schemas/OrderState'
            page:
              type: integer
              format: int64
              minimum: 1
            time:
              type: array
              items:
                $ref: '#/components/schemas/TimeRecurringResponse'
            totalPages:
              type: integer
              format: int64
              minimum: 1
            user:
              type: string
        - type: object
          deprecated: true
          description: 'DEPRECATED: Price-based recurring orders are deprecated'
          required:
            - user
            - orderStatus
            - price
            - totalPages
            - page
          properties:
            orderStatus:
              $ref: '#/components/schemas/OrderState'
            page:
              type: integer
              format: int64
              minimum: 1
            price:
              type: array
              items:
                $ref: '#/components/schemas/PriceRecurringResponse'
            totalPages:
              type: integer
              format: int64
              minimum: 1
            user:
              type: string
        - type: object
          required:
            - user
            - orderStatus
            - all
            - totalPages
            - page
          properties:
            all:
              type: array
              items:
                $ref: '#/components/schemas/AllRecurringResponse'
            orderStatus:
              $ref: '#/components/schemas/OrderState'
            page:
              type: integer
              format: int64
              minimum: 1
            totalPages:
              type: integer
              format: int64
              minimum: 1
            user:
              type: string
    TimeRecurringResponse:
      type: object
      required:
        - userPubkey
        - orderKey
        - inputMint
        - outputMint
        - inDeposited
        - inWithdrawn
        - rawInDeposited
        - rawInWithdrawn
        - cycleFrequency
        - outWithdrawn
        - inAmountPerCycle
        - minOutAmount
        - maxOutAmount
        - inUsed
        - outReceived
        - rawOutWithdrawn
        - rawInAmountPerCycle
        - rawMinOutAmount
        - rawMaxOutAmount
        - rawInUsed
        - rawOutReceived
        - openTx
        - closeTx
        - userClosed
        - createdAt
        - updatedAt
        - trades
      properties:
        closeTx:
          type: string
        createdAt:
          type: string
          format: date-time
        cycleFrequency:
          type: string
        inAmountPerCycle:
          type: string
        inDeposited:
          type: string
        inUsed:
          type: string
        inWithdrawn:
          type: string
        inputMint:
          type: string
        maxOutAmount:
          type: string
        minOutAmount:
          type: string
        openTx:
          type: string
        orderKey:
          type: string
        outReceived:
          type: string
        outWithdrawn:
          type: string
        outputMint:
          type: string
        rawInAmountPerCycle:
          type: string
        rawInDeposited:
          type: string
        rawInUsed:
          type: string
        rawInWithdrawn:
          type: string
        rawMaxOutAmount:
          type: string
        rawMinOutAmount:
          type: string
        rawOutReceived:
          type: string
        rawOutWithdrawn:
          type: string
        trades:
          type: array
          items:
            $ref: '#/components/schemas/OrderHistoryResponse'
        updatedAt:
          type: string
          format: date-time
        userClosed:
          type: boolean
        userPubkey:
          type: string
    PriceRecurringResponse:
      type: object
      deprecated: true
      description: 'DEPRECATED: Price-based recurring orders are deprecated'
      required:
        - userPubkey
        - orderKey
        - inputMint
        - outputMint
        - inDeposited
        - inWithdrawn
        - inLeft
        - inUsed
        - outReceived
        - outWithdrawn
        - orderInterval
        - incrementalUsdValue
        - supposedUsdValue
        - estimatedUsdcValueSpent
        - rawInDeposited
        - rawInWithdrawn
        - rawInLeft
        - rawInUsed
        - rawOutReceived
        - rawOutWithdrawn
        - rawIncrementalUsdValue
        - rawSupposedUsdValue
        - rawEstimatedUsdcValueSpent
        - status
        - closedBy
        - openTx
        - closeTx
        - createdAt
        - startAt
        - updatedAt
        - trades
      properties:
        closeTx:
          type: string
        closedBy:
          type: string
        createdAt:
          type: string
          format: date-time
        estimatedUsdcValueSpent:
          type: string
        inDeposited:
          type: string
        inLeft:
          type: string
        inUsed:
          type: string
          description: Amount used to fulfill orders
        inWithdrawn:
          type: string
        incrementalUsdValue:
          type: string
        inputMint:
          type: string
        openTx:
          type: string
        orderInterval:
          type: string
        orderKey:
          type: string
        outReceived:
          type: string
          description: Amount received in escrow without auto-withdraw enabled
        outWithdrawn:
          type: string
          description: |
            Amount withdrawn from escrow account with/without auto-withdraw
            enabled
        outputMint:
          type: string
        rawEstimatedUsdcValueSpent:
          type: string
        rawInDeposited:
          type: string
        rawInLeft:
          type: string
        rawInUsed:
          type: string
          description: Amount used to fulfill orders
        rawInWithdrawn:
          type: string
        rawIncrementalUsdValue:
          type: string
        rawOutReceived:
          type: string
          description: Amount received in escrow without auto-withdraw enabled
        rawOutWithdrawn:
          type: string
          description: |
            Amount withdrawn from escrow account with/without auto-withdraw
            enabled
        rawSupposedUsdValue:
          type: string
        startAt:
          type: string
          format: date-time
        status:
          type: string
        supposedUsdValue:
          type: string
        trades:
          type: array
          items:
            $ref: '#/components/schemas/OrderHistoryResponse'
        updatedAt:
          type: string
          format: date-time
        userPubkey:
          type: string
    AllRecurringResponse:
      oneOf:
        - allOf:
            - $ref: '#/components/schemas/TimeRecurringResponse'
            - type: object
              required:
                - recurringType
              properties:
                recurringType:
                  type: string
                  enum:
                    - time
        - allOf:
            - $ref: '#/components/schemas/PriceRecurringResponse'
            - type: object
              required:
                - recurringType
              properties:
                recurringType:
                  type: string
                  enum:
                    - price
                  deprecated: true
                  description: 'DEPRECATED: Price-based recurring orders are deprecated'
    OrderHistoryResponse:
      type: object
      required:
        - orderKey
        - keeper
        - inputMint
        - outputMint
        - inputAmount
        - outputAmount
        - rawInputAmount
        - rawOutputAmount
        - feeMint
        - feeAmount
        - rawFeeAmount
        - txId
        - confirmedAt
        - action
      properties:
        action:
          type: string
        confirmedAt:
          type: string
          format: date-time
        feeAmount:
          type: string
        feeMint:
          type: string
        inputAmount:
          type: string
        inputMint:
          type: string
        keeper:
          type: string
        orderKey:
          type: string
        outputAmount:
          type: string
        outputMint:
          type: string
        productMeta:
          description: |
            Extra metadata for sub-products which will never be queried

            with filters.


            See structs `DbOrderHistoryValueAverageMeta` and
            `DbOrderHistoryPerpetualMeta`

            to craft the JSONB object.
        rawFeeAmount:
          type: string
        rawInputAmount:
          type: string
        rawOutputAmount:
          type: string
        txId:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Get API key via https://developers.jup.ag/portal

````